### Hierarchy

- WorkbenchAction

## Index

### Properties

- actionId
- alias
- iconBase
- id
- name
- workbenchId

## Properties

### Optional actionId

actionId: string

- Defined in models/WorkbenchAction.ts:6

An alternative unique identifier. An alias is typically used to identify an action that is used in offline mode. An alias should be more descriptive than the id, therefore an alias makes offline logic more descriptive. descriptive.

### alias

alias: string

- Defined in models/WorkbenchAction.ts:7

### iconBase

iconBase: string

- Defined in models/WorkbenchAction.ts:9

### id

id: string

- Defined in models/WorkbenchAction.ts:8

### name

name: string

- Defined in models/WorkbenchAction.ts:10

### workbenchId

workbenchId: string

- Defined in models/WorkbenchAction.ts:11

Generated using TypeDoc